### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.events.discovery

# Interface EventBrokerDiscoveryServiceInterface

All Superinterfaces:
  `com.sas.entities.EntityKeyInterface`, `Remote`, `RemoteServiceInterface`, `ServiceNotificationBroadcasterInterface`

All Known Implementing Classes:
  `EventBrokerDiscoveryService`

@SASScope("ALL") @BinaryCompatibilityOnly public interface EventBrokerDiscoveryServiceInterface extends RemoteServiceInterface
Deprecated.
As of release 9.3, replaced by SAS Midtier Eventing Architecture.
Interface for the `EventBrokerDiscovery Service`.

Since:
  1.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `EVENT_TYPE_BROADCAST`
  Deprecated.
  Event type: broadcast
  `static final int`
  `EVENT_TYPE_REQUEST_RESPONSE`
  Deprecated.
  Event type: request/response
  `static final int`
  `LOCATE_ALL`
  Deprecated.
  Maximum number of services to locate: all
  `static final int`
  `LOCATE_ONE`
  Deprecated.
  Maximum number of services to locate: one

  ### Fields inherited from interface com.sas.services.RemoteServiceInterface

  `CLASS_IDENTIFIER, CLASS_IDENTIFIER_1_1, CLASS_IDENTIFIER_1_2, CLASS_IDENTIFIER_SERVICE_TYPE, CLASS_IDENTIFIER_SERVICE_TYPE_1_1, CLASS_IDENTIFIER_SERVICE_TYPE_1_2`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EventBrokerServiceInterface`
  `locateBroker(String eventName, int eventType)`
  Deprecated.
  As of release 9.2, this class is no longer being supported.
  `Set`
  `locateBrokers(String eventName, int eventType, int requested)`
  Deprecated.
  As of release 9.2, this class is no longer being supported.

  ### Methods inherited from interface com.sas.entities.EntityKeyInterface

  `getEntityKey, sameEntity, setEntityKey`

  ### Methods inherited from interface com.sas.services.RemoteServiceInterface

  `configure, destroy, getCreationTime, getServiceConfiguration, getServiceConfiguration, getServiceProxy, getServiceState, isAccessibleToRemoteClients, isExported, reconfigure, setServiceState`

  ### Methods inherited from interface com.sas.services.mgmt.ServiceNotificationBroadcasterInterface

  `addServiceObserver, notifyServiceObservers, removeAllServiceObservers, removeServiceObserver`

- ## Field Details

  - ### LOCATE_ONE

    static final int LOCATE_ONE
    Deprecated.
    Maximum number of services to locate: one
    See Also:
      - Constant Field Values

  - ### LOCATE_ALL

    static final int LOCATE_ALL
    Deprecated.
    Maximum number of services to locate: all
    See Also:
      - Constant Field Values

  - ### EVENT_TYPE_BROADCAST

    static final int EVENT_TYPE_BROADCAST
    Deprecated.
    Event type: broadcast
    See Also:
      - Constant Field Values

  - ### EVENT_TYPE_REQUEST_RESPONSE

    static final int EVENT_TYPE_REQUEST_RESPONSE
    Deprecated.
    Event type: request/response
    See Also:
      - Constant Field Values

- ## Method Details

  - ### locateBroker

    EventBrokerServiceInterface locateBroker(String eventName, int eventType) throws RemoteException
    Deprecated.
    As of release 9.2, this class is no longer being supported.
    Locate an EventBroker that can service a particular event.
    Parameters:
      `eventName` - Name of the event that needs to be processed.
      `eventType` - Type of the event that needs to be processed.
    Returns:
      EventBrokerServiceInterface of broker or null if no broker is available.
    Throws:
      `RemoteException` - if a network anomaly is encountered.

  - ### locateBrokers

    Set locateBrokers(String eventName, int eventType, int requested) throws RemoteException
    Deprecated.
    As of release 9.2, this class is no longer being supported.
    Locate EventBroker(s) that can service a particular event.
    Parameters:
      `eventName` - Name of the event that needs to be processed.
      `eventType` - Type of the event that needs to be processed.
      `requested` - Number of event brokers requested to be located.
    Returns:
      brokerRefs Returned set of EventBrokerService references (Event Brokers).
    Throws:
      `RemoteException` - if a network anomaly is encountered.